// Copyright (C) 2023 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:wyatt_ui_components/wyatt_wyatt_ui_components.dart';
import 'package:wyatt_ui_kit/wyatt_ui_kit.dart';

class FlatButtons extends StatelessWidget {
  const FlatButtons({super.key});

  @override
  Widget build(BuildContext context) => Column(
        children: [
          Text(
            'Flat Buttons',
            style: Theme.of(context).textTheme.titleMedium,
          ),
          const Gap(20),
          Center(
            child: FlatButton(
              label: const TextWrapper('Voir notre savoir faire'),
            ),
          ),
          const Gap(20),
          Center(
            child: FlatButton(
              label: const TextWrapper('Enabled'),
            )
              ..bloc.enable()
              ..bloc.freeze(),
          ),
          const Gap(20),
          Center(
            child: FlatButton(
              label: const TextWrapper('Disabled'),
            )
              ..bloc.disable()
              ..bloc.freeze(),
          ),
          const Gap(20),
          Center(
            child: FlatButton(
              label: const TextWrapper('Hovered'),
            )
              ..bloc.onMouseEnter()
              ..bloc.freeze(),
          ),
          const Gap(20),
          Center(
            child: FlatButton(
              label: const TextWrapper('Focused'),
            )
              ..bloc.onFocus()
              ..bloc.freeze(),
          ),
          const Gap(20),
          Center(
            child: FlatButton(
              label: const TextWrapper('Tapped'),
            )
              ..bloc.onClickDown()
              ..bloc.freeze(),
          ),
          const Gap(20),
        ],
      );
}
